Subject: Re: wrong home directory
From: Jacob Jacobson <[email-masked]>
To: [email-masked]
Date: Mon, 13 Jul 2009 20:41:00 -0500
Newsgroups: gmane.os.cygwin
List-Id: <cygwin.cygwin.com>

Andy Koppe wrote:
> 2009/7/13 hvshare:
>> Hello,
>>
>> I've searched all over the web for an answer to my problem but i couldn't
>> find one, so I decided to send a mail here.
>>
>> After I installed Cygwin, I noticed that my home directory '~' is not
>> /home/helvio, i.e. /cygdrive/c/cygwin/home/helvio (helvio is my user ID), as
>> I wanted it to. Instead, my home directory is /cygdrive/c/Program
>> Files/Emacs ! This is the folder where my GNU Emacs for Windows v21.3.1 is
>> installed (I got it here: http://ftp.gnu.org/gnu/emacs/windows/). I'd like
>> to Cygwin to open in /home/helvio by default, but I don't know how to do
>> this!
> 
> I'd guess that emacs has set a system-wide HOME environment variable.
> That would take precedence over the setting in Cygwin's /etc/passwd.
> Check under System Properties->Advanced->Environment Variables.
> (That's where they are in XP anyway.)
> 
> Andy
> 
Try changing /etc/passwd so that your home address is /cygdrive/c/home..

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple